[Gephi-plugins] 0.8.2 version released, update your plugins

Mathieu Bastian mathieu.bastian at gephi.org
Sat Jan 5 02:51:27 CET 2013


Hi Plugins Developers,

As you may know we released the 0.8.2 version of Gephi [1] this week. We're
also preparing the final launch of the new marketplace [2]. This platform
will soon be the go-to place for plugins and services. Gephi itself will
also look for plugins at this new location. As mentioned in an earlier
email [3], you need to check the compatibility of your plugin and release a
new version compatible with the 0.8.2 version. A certain number of changes
may affect you. Usually it's pretty simple stuff, like changing one
dependency library to another. We're here to help so if you have any issue,
please answer to this thread!

I updated the 'gephi-plugins' GitHub repository [4] with the Gephi modules
released with the 0.8.2 version. You should update your fork from the
master branch and try to build your plugin:

Update and merge master branch
> git pull upstream master

Build your plugin on the command line (this creates the plugin-release.zip
in the build folder).
> and clean
> ant nbms

Once you're done, you can upload your plugin compatible with the 0.8.2 on
https://marketplace.gephi.org.

Thanks,

Mathieu

[1] https://gephi.org/2013/0-8-2-beta-released/
[2] http://marketplace.gephi.org
[3] http://gephi.org/pipermail/gephi-plugins/2012-November/000150.html
[4] https://github.com/gephi/gephi-plugins
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://gephi.org/pipermail/gephi-plugins/attachments/20130104/3313cba4/attachment.html>


More information about the gephi-plugins mailing list